%define	name	edb
%define version 1.0.5.050
%define release %mkrel 1

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment database access library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ncurses-devel zlib-devel

%description
Edb is a simple, clean high-level db access/storage library.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}.

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{libname}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q

%build
%configure2_5x --disable-test --disable-gtk
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README src/LICENSE
%{_bindir}/edb_*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%_libdir/libedb.so
%_libdir/libedb.*a
%{_includedir}/Edb.h


%changelog
* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 1.0.5.050-1mdv2009.1
+ Revision: 347433
- SVN SNAPSHOT 20090227, release 1.0.5.050

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5.042-4mdv2009.0
+ Revision: 266610
- rebuild early 2009.0 package (before pixel changes)

  + Antoine Ginies <aginies@mandriva.com>
    - CVS SNAPSHOT 20080805, release 1.0.5.042

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 1.0.5.042-2mdv2009.0
+ Revision: 213969
- spec cleanup

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 1.0.5.042-2mdv2008.1
+ Revision: 168737
- bump release to build E's libs in right order

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 1.0.5.042-1mdv2008.1
+ Revision: 161249
- new version
- fix URL
- drop edb-config

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 Austin Acton <austin@mandriva.org> 1.0.5.008-3mdv2008.1
+ Revision: 107474
- remove cumbersome gtk+1.2 frontend and tcl tests

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.008-2mdv2008.1
+ Revision: 104065
- CVS SNAPSHOT 20071031, release 1.0.5.008

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.008-1mdv2008.0
+ Revision: 76290
- fix missing edb-config
- remive edb-config multi-arch from spec
- fix path in tarball
- CVS SNAPSHOT 20070830, release 1.0.5.008

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-5mdv2008.0
+ Revision: 33074
- fix bad provides

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-4mdv2008.0
+ Revision: 32762
- add some provides

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-3mdv2008.0
+ Revision: 32620
- CVS SNAPSHOT 20070529, release 1.0.5.007

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-2mdv2008.0
+ Revision: 30803
- increase release
- CVS snapshot 20070524

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.5.007-1mdv2008.0
+ Revision: 17124
- New snapshot
- Import edb



* Mon Aug 07 2006 Lenny Cartier <lenny@mandriva.com> 1.0.5.006-0.20060323.2mdv2007.0
- rebuild

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 1.0.5.006-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 1.0.5.005-0.20060216.1mdk
- new cvs checkout

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 1.0.5.005-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20060111.1mdk
- new cvs checkout

* Thu Nov 24 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051124.1mdk
- new cvs checkout

* Sat Nov 12 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051112.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051109.1mdk
- new cvs checkout

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20050904.1mdk
- new cvs checkout

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050524.1mdk
- new cvs checkout

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.3mdk
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.2mdk
- devel provides %%name-devel

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.1mdk
- make specfile look the way I like
- new cvs checkout
- new e17 URL

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1.20040913.1mdk
- 1.0.5 20040913

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030724.1mdk
- 20030724

* Tue Jun 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030624.1mdk
- 20030624
- use mklibname

* Tue May 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030513.1mdk
- update to 20030513 CVS

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.3-1mdk
- 1.0.3
- update url
- fix requires/provides

* Fri Aug 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-3mdk
- fix provides in lib and lib-devel package
- make rpmlint happy about %%post %%postun	

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- rebuild

* Tue Mar 13 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- Shamelessly rip out the spec from the Imlib2 ftp.
